//ChangingLabel is a label that changes based on clicking buttons.
// This class implements ActionListener. When you add it to a button,
// clicking the button will add the button's text to the label's text.
//Created by James Vanderhyde, 5 April 2010

import java.awt.event.*;
import java.awt.Button;
import javax.swing.JButton;

public class ChangingLabel extends javax.swing.JLabel
    implements ActionListener
{
    //Clears out the text on this label
    public void clear()
    {
        this.setText("");
    }

    //Appends the event's source's text to the text of this label
    public void actionPerformed(ActionEvent evt)
    {
        String appendage = "";
        if (evt.getSource() instanceof Button)
        {
            Button source = (Button)evt.getSource();
            appendage = source.getLabel();
        }
        if (evt.getSource() instanceof JButton)
        {
            JButton source = (JButton)evt.getSource();
            appendage = source.getText();
        }
        
        String newText = this.getText() + appendage;
        this.setText(newText);
    }
}
